:... BK_SRV_Q.BAT, Craig MacPherson
:
:
:@echo on


:... Set default to backup directory
     cd %D2%\backups
     %D2%

:... Routine to auto start Server Backup Job
 
:    Check for todays file to indicate if server backup has already run
     if exist %DOW%.chk goto PROCESS_QUEUES

:    Start at 3 AM and do complete backup on Thursday, modified every other day.
     if not %HOUR%.==3. goto PROCESS_QUEUES
     if not %DOW%.==THURSDAY. goto ALL_FILES
        echo call z:\backups\s_backsv.bat MOD Y TRILAN1 SYS >z:\backups\backup.jbs\srv.bat
        echo call z:\backups\s_backsv.bat MOD Y TRILAN1 VOL1 >>z:\backups\backup.jbs\srv.bat
:ALL_FILES
        echo call z:\backups\s_backsv.bat ALL Y TRILAN1 SYS >z:\backups\backup.jbs\srv.bat
        echo call z:\backups\s_backsv.bat ALL Y TRILAN1 VOL1 >>z:\backups\backup.jbs\srv.bat
     
     cd \backups

     :WRITE_CHECK_FILE
     del %D2%\backups\*.chk
     echo Test file for already completed server Backup >%D2%\backups\%DOW%.chk


:PROCESS_QUEUES
:... Routine to process restore jobs
     cd %D2%\backups\restore.jbs
     %D2%
     secho Checking system restore queue....
     dir *.que
     echo.
     for %%f in (*.bat) do call %D1%BK_EXEC.BAT %%f 

:... Routine to process backup jobs
     cd %D2%\backups\backup.jbs
     %D2%
     echo.
     echo.
     echo Checking system backup queue....
     dir *.que
     echo.
     for %%f in (*.bat) do call %D1%BK_EXEC.BAT %%f 

:... Reset to backup directory
     cd %D2%\backups
     %D2%


:... Work around for a problem with Nortons TIMEOUT on the ASK command.
     Has a problem getting past the hour, will wait forever.
     systime>>nul:
     bebe STATUS ALL
     if %MINUTE%.==56. goto LOOP_FOREVER
     if %MINUTE%.==57. goto LOOP_FOREVER
     if %MINUTE%.==58. goto LOOP_FOREVER
     if %MINUTE%.==59. goto LOOP_FOREVER

:... Display menu of options
     cls
     echo Current tape in use:%TAPE%
     echo.
     echo  T - Force a change of tape
     echo  X - Exit and Quit
     echo  C - Continue with processing queues
     echo.
     echo.
     be ASK "Delay for 100 seconds, OR enter OPTIONAL Selection :", cxt DEFAULT=c TIMEOUT=100  
     if errorlevel 3 goto TAPE_CHANGE
     if errorlevel 2 goto END

:LOOP_FOREVER
:... Loop Forever (run through the routines again)
     %D1%BK_START


:TAPE_CHANGE
     %D1%BK_TAPE TAPE_CHANGE_LOOP


:END
     cls
     echo Backup Service Terminated
